curl --request GET \
--url https://api.brightdata.com/datasets/views/{view_id}/delivery_settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/views/{view_id}/delivery_settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/views/{view_id}/delivery_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliver": {
"type": "s3",
"bucket": "bucket_name",
"credentials": {
"aws-access-key": "AWS_ACCESS_KEY",
"aws-secret-key": "AWS_SECRET_KEY"
},
"region": "us-east-1"
},
"filename": {
"extension": "json",
"template": "bd_{[datetime]}",
"tz_offset": "+04:00"
},
"flatten_csv": false,
"tar": false,
"compress": false,
"batch_size": 400
}{
"error": "View not found"
}获取视图交付设置
获取特定数据集视图的当前传输配置,包括目标、凭证、文件名、压缩和批量大小。
deliver 对象包含特定于目标的字段(例如 S3 目标的 bucket、credentials、region),顶级 tar、compress、batch_size 和 filename 字段描述输出文件的打包方式。
view_id。授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer YOUR_API_KEY
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
路径参数
Unique identifier for the dataset view.
"v_id1"
响应
Current delivery configuration for the view
Delivery configuration for a dataset view. Used by the view delivery settings GET, PUT and bulk PUT endpoints.
Delivery destination configuration. The type field selects the destination (for example s3, sftp, webhook) and the remaining fields depend on the destination schema returned by /datasets/delivery_settings/{destination_type}/schema.
- Microsoft Azure
- Build
- Email
- Google Cloud
- Google Cloud PubSub
- Amazon S3
- SFTP
- Snowflake
- Webhook
- Aliyun Object Storage Service
Show child attributes
Show child attributes
Configuration for the output file name and format.
Show child attributes
Show child attributes
When true, nested fields are flattened for CSV output.
When true, delivered files are bundled into a TAR archive.
When true, delivered files are gzip compressed.
Maximum records per batch file. Use to split large deliveries into smaller files. Maximum batch size is 5GB.
1000
此页面对您有帮助吗?